# $Revision: 1.4 $, $Date: 2004/03/04 23:02:23 $
Summary:	A CGI graph server script that uses tcldot utility
Summary(pl):	Skrypt serwerowy CGI do grafw uywajcy narzdzia tcldot
Name:		webdot
Version:	1.10.2
Release:	1
Group:		Applications/Graphics
License:	BSD-like
Source0:	http://www.graphviz.org/pub/graphviz/%{name}-%{version}.tar.gz
# Source0-md5:	ae561fa9963b81a8f543fc1ec8cb5505
Patch0:		%{name}-status.patch
URL:		http://www.graphviz.org/
# it wants to open "Times" font by filename
Requires:	fonts-TTF-microsoft
Requires:	graphviz-tcl
Requires:	ghostscript
Requires:	tcl
Requires:	webserver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		httpdir		/home/services/httpd
%define		htmldir		%{httpdir}/html
%define		cgibindir	%{httpdir}/cgi-bin
%define		cachedir	/var/cache/webdot
%define		tcldotlib	/usr/%{_lib}/graphviz/libtcldot.so

%description
A cgi-bin program that produces clickable graphs in web pages when
provided with an href to a .dot file. Uses Tcldot from the
graphviz-tcl package.

%description -l pl
webdot to program CGI tworzcy klikalne grafy na stronach WWW kiedy
href wskazuje na plik .dot. Uywa Tcldot z pakietu graphviz-tcl.

%prep
%setup -q
%patch -p1

find . -type d -name CVS | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{cgibindir},%{htmldir},%{cachedir}}
cp -r html/webdot $RPM_BUILD_ROOT%{htmldir}

cat > $RPM_BUILD_ROOT%{cgibindir}/webdot <<'EOF'
#!/usr/bin/tclsh
set LIBTCLDOT %{tcldotlib}
set CACHE_ROOT %{cachedir}
set GS /usr/bin/gs
set PS2EPSI /usr/bin/ps2epsi
set LOCALHOSTONLY 1
EOF
cat cgi-bin/webdot >> $RPM_BUILD_ROOT%{cgibindir}/webdot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README
%attr(755,root,root) %{cgibindir}/webdot
%{htmldir}/webdot
%attr(770,root,http) %{cachedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: webdot.spec,v $
Revision 1.4  2004/03/04 23:02:23  qboosh
- updated to 1.10.2, use lib64 ready paths

Revision 1.3  2003/10/01 23:01:23  adamg
- updated to 1.10.1

Revision 1.2  2003/09/02 22:37:55  qboosh
- 1.10

Revision 1.1  2003/07/27 14:52:04  qboosh
- new; status patch to remove bogus Status header if href was found
